{% load wagtailimages_tags %}

<div
  class="
    __article flex flex-col mb-8 bg-grey-180 drop-shadow

    {{ classes }}
  "
  data-id="{{ article.id }}"
>
  <a href="{{ article.url }}">
    {% image article.image width-1024 class="w-full object-cover object-center h-[27rem]" %}
  </a>

  <div class="flex flex-col px-8 pb-6 pt-5 h-full">
    <div class="text-xl text-grey-350 mb-2">
      {{ article.date }}
    </div>

    <a href="{{ article.url }}" class="mb-2 underline-offset-4">
      <h2 class="font-alt text-4xl">
        {{ article.title }}
      </h2>
    </a>

    {% if article.shared_from and article.shared_tags %}
      <div class="mb-6">
        {% include 'styleguide2/includes/molecules/tags/inline_tags.html' with tags=article.shared_tags.all tags_are_selectable=True tag_is_shared=True %}
      </div>
    {% elif article.tags %}
      <div class="mb-6">
        {% include 'styleguide2/includes/molecules/tags/inline_tags.html' with tags=article.tags.all tags_are_selectable=True tag_is_shared=False %}
      </div>
    {% endif %}

    <div class="flex flex-col justify-between h-full">
      <p class="mb-8 text-lg">
        {{ article.perex }}
      </p>

      <div class="flex justify-end">
        {% include 'styleguide2/includes/atoms/buttons/round_button.html' with url=article.url text='Číst dále' show_arrow_on_hover=True %}
      </div>
    </div>
  </div>
</div>
